## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate tree-sitter-elixir

Name:           rust-tree-sitter-elixir
Version:        0.3.4
Release:        %autorelease
Summary:        Elixir grammar for the tree-sitter parsing library

License:        Apache-2.0
URL:            https://crates.io/crates/tree-sitter-elixir
Source:         %{crates_source}
# * include license file
# * https://github.com/elixir-lang/tree-sitter-elixir/pull/82
Source1:        https://raw.githubusercontent.com/elixir-lang/%{crate}/refs/tags/v%{version}/LICENSE
# Manually created patch for downstream crate metadata changes
# * include LICENSE
# * relax tree-sitter dependency to build against 0.24
Patch:          tree-sitter-elixir-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Elixir grammar for the tree-sitter parsing library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# copy in license file
cp -p %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Mar 12 2025 Michel Lind <salimma@fedoraproject.org> - 0.3.4-2
- Relax tree-sitter dependency to build against 0.24

* Mon Mar 03 2025 Michel Lind <salimma@fedoraproject.org> - 0.3.4-1
- Initial package; Resolves: RHBZ#2349133
## END: Generated by rpmautospec
